Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
problemi nell upgrade webcolor
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
drudox
Guru
Guru


Joined: 28 Jan 2016
Posts: 443

PostPosted: Tue Jul 31, 2018 7:24 pm    Post subject: problemi nell upgrade webcolor Reply with quote

salve l'upgrade termina all installazione di webcolor il build.log completo lo potete trovare qui https://paste.pound-python.org/show/yyJO6fuCRnpd4Y0YXiai/

tra l'altro non riesco piu` ad usare python con i miei vecchi programmi ... credo stia aggiornandosi alla 3.6 ...
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19246
Location: here

PostPosted: Tue Jul 31, 2018 7:53 pm    Post subject: Reply with quote

Cosa succede se dai il comando
Code:
# emerge -UD --with-bdeps y @world

Suppongo che hai problemi perche' sono cambiati i python targets (da 3.5 a 3.6) e il comando che ti ho suggerito dovrebbe risolvere.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
drudox
Guru
Guru


Joined: 28 Jan 2016
Posts: 443

PostPosted: Tue Jul 31, 2018 8:16 pm    Post subject: Reply with quote

stessa identica cosa
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19246
Location: here

PostPosted: Tue Jul 31, 2018 8:46 pm    Post subject: Reply with quote

Ok allora dimmi cosa torna il comando
Code:
# emerge -pv dev-python/setuptools

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
drudox
Guru
Guru


Joined: 28 Jan 2016
Posts: 443

PostPosted: Tue Jul 31, 2018 9:00 pm    Post subject: Reply with quote

https://paste.pound-python.org/show/F7KNc63yNFmHxmBfoPMy/

ecco qua ! come sempre grazie del supporto !!!!
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19246
Location: here

PostPosted: Tue Jul 31, 2018 9:03 pm    Post subject: Reply with quote

Scusa ma non riesci a fare partire il comando
Code:
# emerge -UD --with-bdeps y @world
:?:
Se no posta sempre l'output
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
drudox
Guru
Guru


Joined: 28 Jan 2016
Posts: 443

PostPosted: Tue Jul 31, 2018 9:21 pm    Post subject: Reply with quote

Code:
Burrows /home/marco # emerge -UD --with-bdeps y @world
Calculating dependencies... done!

>>> Verifying ebuild manifests
>>> Running pre-merge checks for app-portage/layman-2.4.2-r1
>>> Running pre-merge checks for www-client/chromium-68.0.3440.75
 * Checking for at least 3 GiB RAM ...                                                                               [ ok ]
 * Checking for at least 5 GiB disk space at "/var/tmp/portage/www-client/chromium-68.0.3440.75/temp" ...            [ ok ]

>>> Emerging (1 of 137) dev-python/webcolors-1.8.1::gentoo
 * Fetching files in the background.
 * To view fetch progress, run in another terminal:
 * tail -f /var/log/emerge-fetch.log
 * webcolors-1.8.1.tar.gz BLAKE2B SHA512 size ;-) ...                                                                [ ok ]
>>> Unpacking source...
>>> Unpacking webcolors-1.8.1.tar.gz to /var/tmp/portage/dev-python/webcolors-1.8.1/work
>>> Source unpacked in /var/tmp/portage/dev-python/webcolors-1.8.1/work
>>> Preparing source in /var/tmp/portage/dev-python/webcolors-1.8.1/work/webcolors-1.8.1 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/dev-python/webcolors-1.8.1/work/webcolors-1.8.1 ...
>>> Source configured.
>>> Compiling source in /var/tmp/portage/dev-python/webcolors-1.8.1/work/webcolors-1.8.1 ...
 * python2_7: running distutils-r1_run_phase distutils-r1_python_compile
python2.7 setup.py build
running build
running build_py
copying webcolors.py -> /var/tmp/portage/dev-python/webcolors-1.8.1/work/webcolors-1.8.1-python2_7/lib
warning: build_py: byte-compiling is disabled, skipping.

 * python3_6: running distutils-r1_run_phase distutils-r1_python_compile
python3.6 setup.py build
Traceback (most recent call last):
  File "setup.py", line 1, in <module>
    from setuptools import setup
ModuleNotFoundError: No module named 'setuptools'
 * ERROR: dev-python/webcolors-1.8.1::gentoo failed (compile phase):
 *   (no error message)
 *
 * Call stack:
 *     ebuild.sh, line  124:  Called src_compile
 *   environment, line 2619:  Called distutils-r1_src_compile
 *   environment, line  827:  Called _distutils-r1_run_foreach_impl 'distutils-r1_python_compile'
 *   environment, line  347:  Called python_foreach_impl 'distutils-r1_run_phase' 'distutils-r1_python_compile'
 *   environment, line 2168:  Called multibuild_foreach_variant '_python_multibuild_wrapper' 'distutils-r1_run_phase' 'distutils-r1_python_compile'
 *   environment, line 1541:  Called _multibuild_run '_python_multibuild_wrapper' 'distutils-r1_run_phase' 'distutils-r1_python_compile'
 *   environment, line 1539:  Called _python_multibuild_wrapper 'distutils-r1_run_phase' 'distutils-r1_python_compile'
 *   environment, line  550:  Called distutils-r1_run_phase 'distutils-r1_python_compile'
 *   environment, line  818:  Called distutils-r1_python_compile
 *   environment, line  693:  Called esetup.py 'build'
 *   environment, line 1086:  Called die
 * The specific snippet of code:
 *       "${@}" || die "${die_args[@]}";
 *
 * If you need support, post the output of `emerge --info '=dev-python/webcolors-1.8.1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-python/webcolors-1.8.1::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/dev-python/webcolors-1.8.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-python/webcolors-1.8.1/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-python/webcolors-1.8.1/work/webcolors-1.8.1'
 * S: '/var/tmp/portage/dev-python/webcolors-1.8.1/work/webcolors-1.8.1'

>>> Failed to emerge dev-python/webcolors-1.8.1, Log file:

>>>  '/var/tmp/portage/dev-python/webcolors-1.8.1/temp/build.log'

 * Messages for package dev-python/webcolors-1.8.1:

 * ERROR: dev-python/webcolors-1.8.1::gentoo failed (compile phase):
 *   (no error message)
 *
 * Call stack:
 *     ebuild.sh, line  124:  Called src_compile
 *   environment, line 2619:  Called distutils-r1_src_compile
 *   environment, line  827:  Called _distutils-r1_run_foreach_impl 'distutils-r1_python_compile'
 *   environment, line  347:  Called python_foreach_impl 'distutils-r1_run_phase' 'distutils-r1_python_compile'
 *   environment, line 2168:  Called multibuild_foreach_variant '_python_multibuild_wrapper' 'distutils-r1_run_phase' 'distutils-r1_python_compile'
 *   environment, line 1541:  Called _multibuild_run '_python_multibuild_wrapper' 'distutils-r1_run_phase' 'distutils-r1_python_compile'
 *   environment, line 1539:  Called _python_multibuild_wrapper 'distutils-r1_run_phase' 'distutils-r1_python_compile'
 *   environment, line  550:  Called distutils-r1_run_phase 'distutils-r1_python_compile'
 *   environment, line  818:  Called distutils-r1_python_compile
 *   environment, line  693:  Called esetup.py 'build'
 *   environment, line 1086:  Called die
 * The specific snippet of code:
 *       "${@}" || die "${die_args[@]}";
 *
 * If you need support, post the output of `emerge --info '=dev-python/webcolors-1.8.1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-python/webcolors-1.8.1::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/dev-python/webcolors-1.8.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-python/webcolors-1.8.1/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-python/webcolors-1.8.1/work/webcolors-1.8.1'
 * S: '/var/tmp/portage/dev-python/webcolors-1.8.1/work/webcolors-1.8.1'


eccolo il build e` quello del primo post
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19246
Location: here

PostPosted: Wed Aug 01, 2018 6:35 am    Post subject: Reply with quote

Prova con il comando
Code:
#  emerge -1UD dev-python/setuptools

se funziona
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
drudox
Guru
Guru


Joined: 28 Jan 2016
Posts: 443

PostPosted: Wed Aug 01, 2018 7:41 pm    Post subject: Reply with quote

Code:
Calculating dependencies... done!
[ebuild   R    ] dev-python/setuptools-40.0.0  PYTHON_TARGETS="python3_6* -python3_5*"
[ebuild   R    ] dev-python/certifi-2018.4.16  PYTHON_TARGETS="python3_6* -python3_5*"
[ebuild     U  ] dev-python/pyxattr-0.6.1 [0.6.0-r1] PYTHON_TARGETS="python3_6* -python3_5*"
[ebuild   R    ] dev-util/meson-0.47.1  PYTHON_TARGETS="python3_6* -python3_5*"
[ebuild   R    ] x11-base/xcb-proto-1.13  PYTHON_TARGETS="python3_6* -python3_5*"
[ebuild   R   #] dev-libs/gobject-introspection-1.54.1  PYTHON_SINGLE_TARGET="python3_6* -python3_5*" PYTHON_TARGETS="python3_6* -python3_5*"

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-python/setuptools:0

  (dev-python/setuptools-40.0.0:0/0::gentoo, ebuild scheduled for merge) pulled in by
    dev-python/setuptools (Argument)
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] required by (dev-python/pyxattr-0.6.1:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] required by (dev-python/certifi-2018.4.16:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
    dev-python/setuptools[python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-util/meson-0.47.1:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                       

  (dev-python/setuptools-40.0.0:0/0::gentoo, installed) pulled in by
    dev-python/setuptools[python_targets_python2_7(-),python_targets_python3_5(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (net-misc/youtube-dl-2018.07.10:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                   
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] required by (dev-python/unittest2-1.1.0:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] required by (dev-python/jsonschema-2.6.0:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] required by (dev-python/certifi-2018.4.16:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] required by (dev-python/namespace-zope-1:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] required by (dev-python/cryptography-2.1.4-r2:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] required by (dev-python/pyblake2-1.1.2:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] required by (dev-python/jinja-2.10:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
    dev-python/setuptools[python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (www-client/qutebrowser-1.4.1:0/0::gentoo, installed)
                                                                                                                                                                                                                                             
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] required by (dev-python/pytz-2018.4:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] required by (dev-python/pip-10.0.1:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
    >=dev-python/setuptools-34[python_targets_pypy(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] required by (app-portage/gemato-13.1:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] required by (dev-python/chardet-3.0.4:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] required by (app-portage/gemato-13.1:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] required by (dev-python/pygments-2.2.0:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] required by (dev-python/traceback2-1.4.0:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         

dev-python/certifi:0

  (dev-python/certifi-2018.4.16:0/0::gentoo, ebuild scheduled for merge) pulled in by
    >=dev-python/certifi-2016.9.26[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] required by (dev-python/setuptools-40.0.0:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     

  (dev-python/certifi-2018.4.16:0/0::gentoo, installed) pulled in by
    dev-python/certifi[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] required by (dev-python/urllib3-1.23:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
    >=dev-python/certifi-2017.4.17[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] required by (dev-python/requests-2.19.1-r1:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
    >=dev-python/certifi-2016.9.26[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] required by (dev-python/setuptools-40.0.0:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.
no niente :(
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19246
Location: here

PostPosted: Thu Aug 02, 2018 5:50 am    Post subject: Reply with quote

Hai provato ad aggiungere --backtrack come suggerisce portage
Code:
# emerge -1UD dev-python/setuptools --backtrack=300 --autounmask=n

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
drudox
Guru
Guru


Joined: 28 Jan 2016
Posts: 443

PostPosted: Thu Aug 02, 2018 6:54 am    Post subject: Reply with quote

stesso messaggio :( ma come e` possibile ??
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19246
Location: here

PostPosted: Thu Aug 02, 2018 7:00 am    Post subject: Reply with quote

Prova a verdere se questo funziona
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
drudox
Guru
Guru


Joined: 28 Jan 2016
Posts: 443

PostPosted: Thu Aug 02, 2018 7:40 pm    Post subject: Reply with quote

Code:
Burrows /home/marco # emerge --unmerge setuotools
 * This action can remove important packages! In order to be safer, use
 * `emerge -pv --depclean <atom>` to check for reverse dependencies before
 * removing packages.

--- Couldn't find 'setuotools' to unmerge.

>>> No packages selected for removal by unmerge
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19246
Location: here

PostPosted: Thu Aug 02, 2018 7:43 pm    Post subject: Reply with quote

E' un errore di stampa intendeva setuptools non setuotools
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
drudox
Guru
Guru


Joined: 28 Jan 2016
Posts: 443

PostPosted: Thu Aug 02, 2018 7:54 pm    Post subject: Reply with quote

ok ha funzionato e adesso?
Back to top
View user's profile Send private message
drudox
Guru
Guru


Joined: 28 Jan 2016
Posts: 443

PostPosted: Thu Aug 02, 2018 7:57 pm    Post subject: Reply with quote

ok sto facendo l'upgrade e va ;) grazie mille ancora
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum